from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericToZebraSNMPMediaSensor Converter")

class GenericToZebraSNMPMediaSensor(Converter):
    def Execute(self, args):
        res = 1
        if args[0] == "None":
            res = 1
        elif args[0] == "Gap":
            res = 2
        elif args[0] == "Mark":
            res = 3
        return res




plugin = GenericToZebraSNMPMediaSensor("GenericToZebraSNMPMediaSensor")

store.AddConverter(plugin)